osgGA::GUIEventAdapter::TouchData::TouchPoint Struct Reference

`#include <GUIEventAdapter>`

## Public Member Functions

| TouchPoint ()
| TouchPoint (unsigned int in_id, TouchPhase in_phase, float in_x, float in_y, unsigned int in_tap_count)

## Public Attributes

unsigned int | id
TouchPhase | phase
float | x
float | y
unsigned int | tapCount

## Constructor & Destructor Documentation

## TouchPoint() [1/2]

osgGA::GUIEventAdapter::TouchData::TouchPoint::TouchPoint | ( |  | ) |

inline

References id, phase, tapCount, osgGA::GUIEventAdapter::TOUCH_UNKNOWN, x, and y.

## TouchPoint() [2/2]

osgGA::GUIEventAdapter::TouchData::TouchPoint::TouchPoint | ( | unsigned int | in_id,
|  | TouchPhase | in_phase,
|  | float | in_x,
|  | float | in_y,
|  | unsigned int | in_tap_count )

inline

References id, phase, tapCount, x, and y.

## Member Data Documentation

## id

unsigned int osgGA::GUIEventAdapter::TouchData::TouchPoint::id

Referenced by TouchPoint(), and TouchPoint().

## phase

TouchPhase osgGA::GUIEventAdapter::TouchData::TouchPoint::phase

Referenced by TouchPoint(), and TouchPoint().

## tapCount

unsigned int osgGA::GUIEventAdapter::TouchData::TouchPoint::tapCount

Referenced by TouchPoint(), and TouchPoint().

## x

float osgGA::GUIEventAdapter::TouchData::TouchPoint::x

Referenced by TouchPoint(), and TouchPoint().

## y

float osgGA::GUIEventAdapter::TouchData::TouchPoint::y

Referenced by TouchPoint(), and TouchPoint().

The documentation for this struct was generated from the following file:

- GUIEventAdapter